Bug 172460 - [MAINTAINER] www/validator: Update to OptionsNG
[MAINTAINER] www/validator: Update to OptionsNG
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jason E. Hale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 20:00 UTC by Naram Qashat
Modified: 2012-10-08 00:10 UTC (History)
0 users

See Also:


Attachments
validator-1.3.patch (923 bytes, patch)
2012-10-07 20:00 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2012-10-07 20:00:24 UTC
Update to OptionsNG.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Jason E. Hale freebsd_committer 2012-10-07 23:51:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 dfilter freebsd_committer 2012-10-08 00:05:46 UTC
Author: jhale
Date: Sun Oct  7 23:05:24 2012
New Revision: 305511
URL: http://svn.freebsd.org/changeset/ports/305511

Log:
  - Convert to new options framework
  - Trim Makefile header
  
  PR:		ports/172460
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  Approved by:	makc, avilla (mentors implicit)

Modified:
  head/www/validator/Makefile   (contents, props changed)

Modified: head/www/validator/Makefile
==============================================================================
--- head/www/validator/Makefile	Sun Oct  7 22:02:06 2012	(r305510)
+++ head/www/validator/Makefile	Sun Oct  7 23:05:24 2012	(r305511)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	w3c-validator
-# Date created:				13 September 2005
-# Whom:					Naram Qashat <cyberbotx@cyberbotx.com>
-#
+# Created by: Naram Qashat <cyberbotx@cyberbotx.com>
 # $FreeBSD$
-#
 
 PORTNAME=	validator
 PORTVERSION=	1.3
@@ -34,11 +30,13 @@ USE_PERL5_RUN=	5.8.0+
 
 SUB_FILES=	pkg-message validator.conf.sample
 
-OPTIONS=	HTML_TIDY "Enable HTML Markup Cleaning" On
+OPTIONS_DEFINE=	HTML_TIDY
+OPTIONS_DEFAULT=HTML_TIDY
+HTML_TIDY_DESC=	Enable HTML Markup Cleaning
 
 .include <bsd.port.pre.mk>
 
-.if !defined(WITHOUT_HTML_TIDY)
+.if ${PORT_OPTIONS:MHTML_TIDY}
 RUN_DEPENDS+=	p5-HTML-Tidy>=0:${PORTSDIR}/textproc/p5-HTML-Tidy
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason E. Hale freebsd_committer 2012-10-08 00:06:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!